if sample==nil then sample={} end
sample.classes={}
sample.help={}


function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end

function hudtxt2(id,idt,color,text,x,y)
	local toprint=(""..color.." "..text)
	parse('hudtxt2 '..id..' '..idt..' "'..toprint..'" '..x.." "..y)
end

parse('mp_wpndmg "snowball" 20')
parse('mp_wpndmg "claw" 25')
parse('mp_building_health "Wall I" 50')
parse('mp_killbuildingmoney 0')
parse('mp_startmoney 0')
parse('mp_dmspawnmoney 0')

special=initArray(32)
idle=initArray(32)
tilet=initArray(32)

function help(id)
	menu(id,"Help,Gloves,SnowBall,SnowWall,,Shop")
end
function gloves(id)
	menu(id,"Gloves,Make SnowBall|RightClick,Make SnowWall|Use(E),Deal 25 damage")
end
function snowball(id)
	menu(id,"SnowBall,Only made on snow,1.5 seconds cooldown,Deal 20 damage")
end
function snowwall(id)
	menu(id,"SnowWall,Only made on snow,5 seconds cooldown,Has 50 health")
end
function shop(id)
	menu(id,"Shop,Heal 10HP|1,Heal 50HP|4,Armor(50%)|15,Teleport|5,,(+10 coins on kill),(-5 coins on death),(+1 coin per minute)")
end





----------------------
-- ENTER GAME       --
----------------------
addhook("join","welcome")
function welcome(id)
msg2(id,"Welcome "..player(id,"name"))
msg2(id,"000255000RightClick to make Snowball")
msg2(id,"000255000Use(E) to make SnowWall")
msg2(id,"150255000Type HELP for more info")
end

-----------------------
-- SPAWN             --
-----------------------
addhook("spawn","sample.classes.spawn")
function sample.classes.spawn(id)
		parse ("equip "..id.." 78")
		parse ("setweapon "..id.." 78")
		parse ("strip "..id.." 50")
		special[id]=3
		idle[id]=0
		shop(id)
end

--------------------150-
-- NO BUYING         --
-----------------------
addhook("buy","sample.classes.buy")
function sample.classes.buy()
	return 1
end


-----------------------
-- NO COLLECTING     --
-----------------------
addhook("walkover","sample.classes.walkover")
function sample.classes.walkover(id,iid,type)
	return 1
end

-----------------------
-- NO DROPPING       --
-----------------------
addhook("drop","sample.classes.drop")
function sample.classes.drop()
	return 1
end


-----------------------
-- NO DEAD DROPPING  --
-----------------------
addhook("die","sample.classes.die")
function sample.classes.die()
	return 1
end

-----------------------
-- MAKING SNOWBALLS  --
-----------------------
addhook("attack2","sads")
function sads(id,mode)
		if (idle[id]==0) and (tilet[id]==11) then
		idle[id]=1
		timer(1500,"parse","lua idle["..id.."]=0")
		parse("effect \"colorsmoke\" "..player(id,"x").." "..player(id,"y").." 10 10 255 255 255")
            timer(300,"parse","sv_sound2 "..id.." \"player/pl_snow4.wav\"")
            timer(600,"parse","sv_sound2 "..id.." \"player/pl_snow3.wav\"")
            timer(900,"parse","sv_sound2 "..id.." \"player/pl_snow4.wav\"") 	   
            timer(1200,"parse","sv_sound2 "..id.." \"player/pl_snow3.wav\"")
		timer(1500,"parse","equip "..id.." 75")
		timer(1500,"parse","speedmod "..id.." 0")
		timer(1500,"parse","setammo "..id.." 75 1")
		timer(1500,"parse","setweapon "..id.." 75")
end
end

-----------------------
--   NO KNIFES       --
-----------------------
addhook("always","nokn")
function nokn()
	for id=1,32 do
		if (player(id,"weapon")==50) then
		parse ("equip "..id.." 78")
		parse ("setweapon "..id.." 78")
		parse ("strip "..id.." 50")
		end
	end
end

-----------------------
--  SNOW WALL        --
-----------------------
addhook("second","regen")
function regen()
	for id=1,32 do
	if (special[id]<5) then
	special[id]=special[id]+1
	end
end
end

addhook("use","build")
	function build(id,e,d,x,y)
	if (tilet[id]==11) and (idle[id]==0) and (special[id]==5) and (player(id,"weapon")==78) then
		if (player(id,"rot")<45) and (player(id,"rot")>-45) then
		idle[id]=1
		timer(2500,"parse","lua idle["..id.."]=0")
		special[id]=0
		parse("effect \"colorsmoke\" "..player(id,"x").." "..(player(id,"y")-32).." 20 20 255 255 255")
		timer(2500,"parse","spawnobject 3 "..(player(id,"tilex")).." "..(player(id,"tiley")-1))
		end
		if (player(id,"rot")>45) and (player(id,"rot")<135) then
		special[id]=0
		idle[id]=1
		timer(2500,"parse","lua idle["..id.."]=0")
		parse("effect \"colorsmoke\" "..(player(id,"x")+32).." "..player(id,"y").." 20 20 255 255 255")
		timer(2500,"parse","lua special["..id.."]=0")
		timer(2500,"parse","spawnobject 3 "..(player(id,"tilex")+1).." "..(player(id,"tiley")))
		end
		if (player(id,"rot")>135) or (player(id,"rot")<-135) then
		special[id]=0
		idle[id]=1
		timer(2500,"parse","lua idle["..id.."]=0")
		parse("effect \"colorsmoke\" "..player(id,"x").." "..(player(id,"y")+32).." 20 20 255 255 255")
		timer(2500,"parse","lua special["..id.."]=0")
		timer(2500,"parse","spawnobject 3 "..(player(id,"tilex")).." "..(player(id,"tiley")+1))
		end
		if (player(id,"rot")<-45) and (player(id,"rot")>-135) then
		special[id]=0
		idle[id]=1
		timer(2500,"parse","lua idle["..id.."]=0")
		parse("effect \"colorsmoke\" "..(player(id,"x")-32).." "..player(id,"y").." 20 20 255 255 255")
		timer(2500,"parse","lua special["..id.."]=0")
		timer(2500,"parse","spawnobject 3 "..(player(id,"tilex")-1).." "..(player(id,"tiley")))
		end
	end
end
---------------------
--       IDLE      --
---------------------
addhook("always","asd")
function asd()
	for id=1,32 do
		if (idle[id]==1) then
		parse("speedmod "..id.." -50")
		else
		parse("speedmod "..id.." 0")
		end
	end
end
----------------------
-- CLAW FIX         --
----------------------
addhook("hit","can")
function can(id,source,weapon,hpdmg,apdmg)
parse("shake "..id.." 5")
	if (hpdmg>25) then
	return 1
	end
	if (weapon==75) then
	parse("effect \"colorsmoke\" "..player(id,"x").." "..player(id,"y").." 20 20 255 255 255")
	end
end

----------------------
--     TILE         --
----------------------
addhook("movetile","tls")
function tls(id,x,y)
tilet[id]=(tile(x,y,"property"))
end

----------------------
-- MINUTE           --
----------------------
addhook("minute","dsa")
function dsa()
	for id=1,32 do
	msg2(id,"100250100~~~~~~~~~~~~~~~~~~~~~~~~~~~~")
	msg2(id,"100250100For more info/help type Help")
	msg2(id,"100250100To enter Shop type Shop")
	msg2(id,"100250100~~~~~~~~~~~~~~~~~~~~~~~~~~~~")
	parse("setmoney "..id.." "..(player(id,"money")+1))
	end
end
	
addhook("menu","basicsd")
function basicsd(id,t,b)
	if (t=="Help") then
		if (b==1) then
		gloves(id)
		end
		if (b==2) then
		snowball(id)
		end
		if (b==3) then
		snowwall(id)
		end
		if (b==5) then
		shop(id)
		end
	end
	if (t=="Gloves") then
		if (b==1) then
		snowball(id)
		end
		if (b==2) then
		snowwall(id)
		end
	end
	if (t=="Shop") then
		if (b==1) then
			if (player(id,"money")>0) then
			parse("setmoney "..id.." "..(player(id,"money")-1))
			parse("sethealth "..id.." "..(player(id,"health")+10))
			msg2(id,"000250000Bought Heal(10HP)")
			else
			msg2(id,"250000000Not enough money")
			end
		end
		if (b==2) then
			if (player(id,"money")>3) then
			parse("setmoney "..id.." "..(player(id,"money")-4))
			parse("sethealth "..id.." "..(player(id,"health")+50))
			msg2(id,"000250000Bought Heal(50HP)")
			else
			msg2(id,"250000000Not enough money")
			end
		end
		if (b==3) then
			if (player(id,"money")>14) then
			parse("setmoney "..id.." "..(player(id,"money")-15))
			parse("setarmor "..id.." 202")
			msg2(id,"000250000Bought Armor(50%)")
			else
			msg2(id,"250000000Not enough money")
			end
		end
		if (b==4) then
			if (player(id,"money")>4) then
			parse("setmoney "..id.." "..(player(id,"money")-5))
			parse("equip "..id.." 54")
			msg2(id,"000250000Bought Teleport")
			else
			msg2(id,"250000000Not enough money")
			end
		end
	end
end

addhook("say","fasd")
function fasd(id,t)
	if (t=="help") or (t=="HELP") then
	help(id)
	return 1
	end
	if (t=="shop") or (t=="SHOP") then
	shop(id)
	return 1
end
----------------------
--     MONEY        --
----------------------
addhook("die","mona")
function mona(v,k,w,x,y)
if (w==78) or (w==75) then
parse("setmoney "..k.." "..(player(k,"money")-290))
parse("setmoney "..v.." "..(player(v,"money")-5))
end
if (k==0) then
parse("setmoney "..v.." "..(player(v,"money")-5))
end
end

addhook("startround","okf")
function okf(mode)
	for id=1,32 do
	parse("setmoney "..id.." 0")
	end
end
end
---------------------
--    TELEPORT     --
---------------------
addhook("projectile","teled")
function teled(id,weapon,x,y)
	if (weapon==54) then
	parse("effect \"colorsmoke\" "..x.." "..y.." 50 50 155 155 155")
	parse("setpos "..id.." "..x.." "..y)
	end
end


